com.jogamp.newt.event

## Class PinchToZoomGesture.ZoomEvent

- java.lang.Object
- - java.util.EventObject
  - - com.jogamp.newt.event.NEWTEvent
    - - com.jogamp.newt.event.InputEvent
      - - com.jogamp.newt.event.GestureHandler.GestureEvent
        - - com.jogamp.newt.event.PinchToZoomGesture.ZoomEvent

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    PinchToZoomGesture

      public static class PinchToZoomGesture.ZoomEvent
      extends GestureHandler.GestureEvent

  A `GestureHandler.GestureEvent` denominating zoom.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.jogamp.newt.event.InputEvent

      `InputEvent.InputClass, InputEvent.InputType`

  - ### Field Summary

    - ### Fields inherited from class com.jogamp.newt.event.GestureHandler.GestureEvent

      `EVENT_GESTURE_DETECTED`

    - ### Fields inherited from class com.jogamp.newt.event.InputEvent

      `ALT_GRAPH_MASK, ALT_MASK, AUTOREPEAT_MASK, BUTTON1_MASK, BUTTON2_MASK, BUTTON3_MASK, BUTTON4_MASK, BUTTON5_MASK, BUTTON6_MASK, BUTTON7_MASK, BUTTON8_MASK, BUTTON9_MASK, BUTTONALL_MASK, BUTTONLAST_MASK, CONFINED_MASK, CTRL_MASK, INVISIBLE_MASK, META_MASK, SHIFT_MASK`

    - ### Fields inherited from class com.jogamp.newt.event.NEWTEvent

      `consumedTag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PinchToZoomGesture.ZoomEvent(Object source, long when, int modifiers, GestureHandler handler, MouseEvent pe, float zoom, float delta, float scale)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getDelta()` Delta to last zoom value lies within [-1..1].
    `float` | `getScale()` Returns the scale used to determine the `zoom` and hence it's `delta` value, which semantics depends on the `pointer type's` `MouseEvent.PointerClass`.
    `float` | `getZoom()` Zoom value lies within [0..2], with 1 as 1:1.
    `String` | `toString()`

    - ### Methods inherited from class com.jogamp.newt.event.GestureHandler.GestureEvent

      `getHandler, getTrigger`

    - ### Methods inherited from class com.jogamp.newt.event.InputEvent

      `getButtonDownCount, getButtonMask, getButtonsDown, getModifiers, getModifiersString, isAltDown, isAltGraphDown, isAnyButtonDown, isAutoRepeat, isButtonDown, isConfined, isControlDown, isInvisible, isMetaDown, isShiftDown, toString`

    - ### Methods inherited from class com.jogamp.newt.event.NEWTEvent

      `getAttachment, getEventType, getWhen, isConsumed, setAttachment, setConsumed, toHexString`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PinchToZoomGesture.ZoomEvent

          public PinchToZoomGesture.ZoomEvent(Object source,
                                      long when,
                                      int modifiers,
                                      GestureHandler handler,
                                      MouseEvent pe,
                                      float zoom,
                                      float delta,
                                      float scale)

  - ### Method Detail

    - #### getZoom

          public final float getZoom()

      Zoom value lies within [0..2], with 1 as 1:1.

    - #### getDelta

          public final float getDelta()

      Delta to last zoom value lies within [-1..1].

    - #### getScale

          public final float getScale()

      Returns the scale used to determine the `zoom` and hence it's `delta` value, which semantics depends on the `pointer type's` `MouseEvent.PointerClass`.

      For `MouseEvent.PointerClass.Offscreen`, the scale is usually `1.0f` and denominates an abstract value without association to a physical value.

      For `MouseEvent.PointerClass.Onscreen`, the scale varies and denominates the divisor of the distance the finger[s] have moved on the screen. Hence `scale * delta` reproduces the screen distance in pixels the finger[s] have moved.

    - #### toString

          public final String toString()

      Overrides:
        `toString` in class `GestureHandler.GestureEvent`

Copyright 2010 JogAmp Community.